<?php

/**
 * Plugin Name: Gozen Growth
 * Plugin URI: https://gozen.io/
 * Description: Gozen is an outcome-driven all-in-one email marketing platform that helps businesses grow better.
 * Author: GozenHQ
 * Version: 1.0.7
 * Slug: gozengrowth
 * Text Domain: gozengrowth
 * Domain Path: /languages/
 * Requires at least: 4.6.1
 * Contributers: OptinlyHQ
 */

/**
 * Global variable 
 */

global $wpdb;

/**
 * Define gozen growth version 
 * Define GOZENGROWTH_BAE_PATH , GOZENGROWTH_BAE_URL
 * @var string
 */

defined('GOZENGROWTH_VERSION') or define('GOZENGROWTH_VERSION', '1.0');
defined('GOZENGROWTH_BAE_PATH') or define('GOZENGROWTH_BAE_PATH', plugin_dir_path(__FILE__));
defined('GOZENGROWTH_BAE_URL') or define('GOZENGROWTH_BAE_URL', plugin_dir_url(__FILE__));


/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-plugin-name-activator.php
 */
function activate_gozen_growth_automation()
{
    require_once plugin_dir_path(__FILE__) . 'automation/includes/class-gozen-growth-automation-activator.php';
    Gozen_Growth_Automation_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-plugin-name-deactivator.php
 */
function deactivate_gozen_growth_automation()
{

    require_once plugin_dir_path(__FILE__) . 'automation/includes/class-gozen-growth-automation-deactivator.php';
    Gozen_Growth_Automation_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_gozen_growth_automation');
register_deactivation_hook(__FILE__, 'deactivate_gozen_growth_automation');


//require path
if (!function_exists('wp_get_current_user')) {
    include(ABSPATH . "wp-includes/pluggable.php");
}
require_once(GOZENGROWTH_BAE_PATH . 'API/goZen _table_set.php');
require_once(GOZENGROWTH_BAE_PATH . 'API/api_secret.php');
require_once(GOZENGROWTH_BAE_PATH . 'const_gz_vlu.php');
require_once(GOZENGROWTH_BAE_PATH . 'API/api_endpoint/gozen_api.php');
require_once(GOZENGROWTH_BAE_PATH . 'API/woocommerce_is_active.php');
require_once(GOZENGROWTH_BAE_PATH . 'API/api_key.php');
require_once(GOZENGROWTH_BAE_PATH . 'API/env/env.php');
require_once(GOZENGROWTH_BAE_PATH . 'automation/automation.php');

//active the plugin
$Gozen = new GozenApi;
$Gozen->initAction();
